Package org.jboss.resteasy.plugins.providers.html

## Class Redirect

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.html.Redirect

- All Implemented Interfaces:
    `Renderable`

      public class Redirect
      extends Object
      implements Renderable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Redirect​(String path)` |
    `Redirect​(URI path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getPath()` |
    `void` | `render​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` | Called to do the actual work of rendering a view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Redirect

          public Redirect​(URI path)

    - #### Redirect

          public Redirect​(String path)

      Parameters:
        `path` - must be a valid URI

  - ### Method Detail

    - #### getPath

          public URI getPath()

    - #### render

          public void render​(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws IOException,
                             javax.servlet.ServletException,
                             javax.ws.rs.WebApplicationException

      Description copied from interface: `Renderable`
      Called to do the actual work of rendering a view. Note that while ServletException can be thrown, WebApplicationException is preferred.
      Specified by:
        `render` in interface `Renderable`
      Parameters:
        `request` - http request
        `response` - http response
      Throws:
        `IOException` - if I/O error occurred
        `javax.servlet.ServletException` - if servlet error occurred
        `javax.ws.rs.WebApplicationException` - if application error occurred